Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] [LAYMAN] amarok beta1 fails to emerge
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 23, 2008 8:24 am    Post subject: [SOLVED] [LAYMAN] amarok beta1 fails to emerge Reply with quote

Hi all,

I tried to emerge the bright new amarok first beta... but it fails to compile, with this message :

Code:
[ 96%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/main.o                           
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                     
                 from /usr/include/qt4/QtCore/qglobal.h:64,                     
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                 
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                 
                 from /usr/include/qt4/QtCore/qobject.h:49,                     
                 from /usr/include/qt4/QtCore/qplugin.h:47,                     
                 from /usr/include/qt4/QtScript/qscriptextensionplugin.h:47,   
                 from /usr/include/qt4/QtScript/QScriptExtensionPlugin:1,       
                 from /var/tmp/portage/media-sound/amarok-1.90/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/main.cpp:1:                                                                           
/usr/include/qt4/Gentoo/gentoo-qconfig.h:17:1: warning: "QT_WEBKIT" redefined   
<command line>:1:1: warning: this is the location of the previous definition   
Linking CXX shared module libqtscript_gui.so                                   
[ 96%] Built target qtscript_gui                                               
make: *** [all] Error 2


I don't know if it's qtscript_gui which fails or the next module... and there's no information in the build.log

If someone has an idea...


Last edited by earendilion on Sat Aug 23, 2008 3:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 361
Location: Wolfstein, Germany (Rhineland-Palatinate)

PostPosted: Sat Aug 23, 2008 1:12 pm    Post subject: Reply with quote

It went fine for me... But don't worry, it sucks anyway. We're better of still using 1.4.x. I unmerged it again after an hour.

But you should include a few more lines in your posting, I think the actual error is above the section of output you posted.
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 23, 2008 3:02 pm    Post subject: Reply with quote

OK, got it to compile...

It was only a question of libmtp to uprade...
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Aug 23, 2008 4:17 pm    Post subject: Reply with quote

earendilion wrote:
OK, got it to compile...

It was only a question of libmtp to uprade...


thanks !

I didn't notice there was a new version / portage didn't tell :P
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Mon Aug 25, 2008 3:02 pm    Post subject: Reply with quote

kernelOfTruth wrote:
earendilion wrote:
OK, got it to compile...

It was only a question of libmtp to uprade...


thanks !

I didn't notice there was a new version / portage didn't tell :P


It's not in official portage yet, you have to use kdesvn-portage (or the other i forgot its' name for paludis). I have to say that i don't find this version that bad. One thing sucks tho: I can't get QtScript to work. Whenever i try to load a script using the scriptmanager i get this:

Code:

amarok: BEGIN: bool ScriptManager::slotRunScript(QString, bool)
amarok: BEGIN: void ScriptManager::startScriptEngine(QString)
amarok: BEGIN:
ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*)
amarok: END__:
ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*)
- Took 3.8e-05s
Object::connect: No such signal
Playlist::Model::activeRowExplicitlyChanged(int,
int)
amarok: END__: void ScriptManager::startScriptEngine(QString) - Took
0.00039s
amarok: BEGIN: void AmarokScript::ScriptImporter::loadQtBinding(const
QString&)
amarok:      importing qt bindings  "qt.core"
amarok: END__: void AmarokScript::ScriptImporter::loadQtBinding(const
QString&)
- Took 0.031s
amarok:   [ScriptManager] [ERROR!] Script Error: "18:52:36 Error: Unable
to impo
rt qt.core: no such extension on Line: -1"
amarok: BEGIN: void ScriptManager::slotStopScript(QString)
amarok: BEGIN: void ScriptManager::scriptFinished(QString)
amarok: BEGIN: virtual ScriptableServiceScript::~ScriptableServiceScript()
amarok: END__: virtual
ScriptableServiceScript::~ScriptableServiceScript() - Too
k 1.6e-05s
amarok: END__: void ScriptManager::scriptFinished(QString) - Took 0.00023s
amarok: END__: void ScriptManager::slotStopScript(QString) - Took 0.00028s


This kinda sucks because the main reason why i want to get amarok2 up and running is that i can start to port my amarok-script to amarok2. Is anyobdy else experiencing this issue and already found a solution for that?
_________________
Raise your beers up high...
Back to top
View user's profile Send private message
a.b.
Apprentice
Apprentice


Joined: 23 Mar 2008
Posts: 218
Location: Anus Mundi, Germany

PostPosted: Mon Aug 25, 2008 4:19 pm    Post subject: Reply with quote

Do you use qt 4.4.0? if yes, try upgrading to 4.4.1.
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Mon Aug 25, 2008 5:02 pm    Post subject: Reply with quote

a.b. wrote:
Do you use qt 4.4.0? if yes, try upgrading to 4.4.1.


Nope i used qt-4.4.1 to build amarok (i just checked it again). I'll try to get a log of the amarok-build to see if i can see what went wrong... According to one of the developers amarok doesn't generate the bindings correctly. I'll check that but thanks for the tip anyway
_________________
Raise your beers up high...
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Sun Aug 31, 2008 12:57 pm    Post subject: Reply with quote

Is this actually solved? I ask because i can't see a solution here.

My build is failing at exactly the same point. I'm using qt-4.4.1 and trying to compile amarok-9999.

What i do notice is that "$ locate libqtscript_gui.so " returns nothing.
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Sun Aug 31, 2008 1:07 pm    Post subject: Reply with quote

regomodo wrote:
Is this actually solved? I ask because i can't see a solution here.

My build is failing at exactly the same point. I'm using qt-4.4.1 and trying to compile amarok-9999.

What i do notice is that "$ locate libqtscript_gui.so " returns nothing.


Well for me it is solved, at some point the compilation of amarok-9999 was successful and qt-script is working now. I hope you realized that some parts of qt-4.4* were split into seperate ebuilds some time ago. Did you check that x11-libs/qt-script-4.4.1 is actually installed?
_________________
Raise your beers up high...
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Sun Aug 31, 2008 1:16 pm    Post subject: Reply with quote

Yeah, i surprisingly noticed everything in qt was split up into multiple packages.

Just checked for qt-script. It's there @ 4.4.1
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Sun Aug 31, 2008 1:16 pm    Post subject: Reply with quote

Crap. I guess i should read an entire thread. Upgrading libmtp to unstable makes amarok work now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum